public class Student {
    String stuName;
    String getName() {
        return stuName;
    }
    void setName(String str) {
        stuName = str;
    }
}
class Example3_5{
    public static void main(String[] args) {
        Student stu1, stu2;                                // 声明对象引用
        stu1 = new Student();                              // 建立对象，并赋值给对象引用
        stu1.setName("小明");                             // 通过对象引用修改对象实体
        stu2 = stu1;                                      // 将对象实体赋值给另一个对象引用
        System.out.println("学生： " + stu1.getName());
        System.out.println("学生： " + stu2.getName());                      
        stu2.setName("小强");                             // 通过对象引用改变对象实体
        System.out.println("学生： " + stu1.getName());
        System.out.println("学生： " + stu2.getName());
        System.out.println(new Student().getName());           // 直接使用对象实体
    }
}
